Solid Edge Part Type Library
End Method
Member of the ProfileValidationType constant set. Specifies the criteria to be used to validate the profile.
Description
Completes the definition of a Profile object.
Syntax
Visual Basic
Public Function End( _
   ByVal ValidationCriteria As ProfileValidationType _
) As Integer
Parameters
ValidationCriteria
ValueDescription
igProfileAllowNested
igProfileAllowPointsAsProfiles
igProfileClosedProfile Must Be Closed
igProfileNoRefAxisIntersectProfile Cannot Intersect Reference Axis
igProfileNoSelfIntersectProfile Cannot Self-Intersect
igProfileRefAxisRequiredProfile Reference Axis Required
igProfileSingleOnly One Profile Allowed
Member of the ProfileValidationType constant set. Specifies the criteria to be used to validate the profile.
Remarks
As part of the completion, this method performs a validation on the wireframe geometry used in the profile.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfile As SolidEdgePart.Profile
    Dim lngStat As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    'Create a closed Profile object
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(objDoc.RefPlanes(1))
    Call objProfile.Circles2d.AddByCenterRadius(x:=0, y:=0, Radius:=0.1)
    'Get the status of the Profile validation criteria using End Method
    lngStat = objProfile.End(ValidationCriteria:=igProfileClosed)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfile = Nothing
End Sub
See Also

Profile Object  | Profile Members

Send comments on this topic.